curl -X PUT "https://app.runtm.com/api/cloud/organizations/org_abc123/instructions" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123" \
-H "Content-Type: application/json" \
-d '{
"instructions": "Use our internal design system. Follow the coding standards in CONTRIBUTING.md."
}'
import requests
org_id = "org_abc123"
resp = requests.put(
f"https://app.runtm.com/api/cloud/organizations/{org_id}/instructions",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": org_id,
"Content-Type": "application/json",
},
json={"instructions": "Use our internal design system. Follow the coding standards in CONTRIBUTING.md."},
)
print(resp.json())
const orgId = "org_abc123";
const resp = await fetch(
`https://app.runtm.com/api/cloud/organizations/${orgId}/instructions`,
{
method: "PUT",
headers: {
Authorization: "Bearer runtm_xxx",
"X-Organization-Id": orgId,
"Content-Type": "application/json",
},
body: JSON.stringify({
instructions: "Use our internal design system. Follow the coding standards in CONTRIBUTING.md.",
}),
}
);
const data = await resp.json();
{
"organization_id": "org_abc123",
"instructions": "Use our internal design system. Follow the coding standards in CONTRIBUTING.md.",
"updated_at": "2026-05-09T18:00:00Z"
}
Context
Set Org Instructions
Set or clear the custom instructions for an organization.
PUT
/
api
/
organizations
/
{org_id}
/
instructions
curl -X PUT "https://app.runtm.com/api/cloud/organizations/org_abc123/instructions" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123" \
-H "Content-Type: application/json" \
-d '{
"instructions": "Use our internal design system. Follow the coding standards in CONTRIBUTING.md."
}'
import requests
org_id = "org_abc123"
resp = requests.put(
f"https://app.runtm.com/api/cloud/organizations/{org_id}/instructions",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": org_id,
"Content-Type": "application/json",
},
json={"instructions": "Use our internal design system. Follow the coding standards in CONTRIBUTING.md."},
)
print(resp.json())
const orgId = "org_abc123";
const resp = await fetch(
`https://app.runtm.com/api/cloud/organizations/${orgId}/instructions`,
{
method: "PUT",
headers: {
Authorization: "Bearer runtm_xxx",
"X-Organization-Id": orgId,
"Content-Type": "application/json",
},
body: JSON.stringify({
instructions: "Use our internal design system. Follow the coding standards in CONTRIBUTING.md.",
}),
}
);
const data = await resp.json();
{
"organization_id": "org_abc123",
"instructions": "Use our internal design system. Follow the coding standards in CONTRIBUTING.md.",
"updated_at": "2026-05-09T18:00:00Z"
}
Sets the organization’s shared custom instructions that apply to all members. Pass
null to clear.
Required scope: context:write
The
X-Organization-Id header must match the org_id path parameter.curl -X PUT "https://app.runtm.com/api/cloud/organizations/org_abc123/instructions" \
-H "Authorization: Bearer runtm_xxx" \
-H "X-Organization-Id: org_abc123" \
-H "Content-Type: application/json" \
-d '{
"instructions": "Use our internal design system. Follow the coding standards in CONTRIBUTING.md."
}'
import requests
org_id = "org_abc123"
resp = requests.put(
f"https://app.runtm.com/api/cloud/organizations/{org_id}/instructions",
headers={
"Authorization": "Bearer runtm_xxx",
"X-Organization-Id": org_id,
"Content-Type": "application/json",
},
json={"instructions": "Use our internal design system. Follow the coding standards in CONTRIBUTING.md."},
)
print(resp.json())
const orgId = "org_abc123";
const resp = await fetch(
`https://app.runtm.com/api/cloud/organizations/${orgId}/instructions`,
{
method: "PUT",
headers: {
Authorization: "Bearer runtm_xxx",
"X-Organization-Id": orgId,
"Content-Type": "application/json",
},
body: JSON.stringify({
instructions: "Use our internal design system. Follow the coding standards in CONTRIBUTING.md.",
}),
}
);
const data = await resp.json();
{
"organization_id": "org_abc123",
"instructions": "Use our internal design system. Follow the coding standards in CONTRIBUTING.md.",
"updated_at": "2026-05-09T18:00:00Z"
}